import request from '@/utils/request'
export function updatePatientrInfo(data) {
  return request({
    url: '/patient/update',
    method: 'post',
    data
  })
}
/** 上传医学影像*/
export function uploadImage(data) {
  return request({
    url: '/upload/file',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data
  })
}
/** 文本检索*/
export function searchByText(data) {
  return request({
    url: '/patient/seek/ai/firstDiseaseScreening',
    method: 'post',
    data
  })
}
/** 提交检索*/
export function searchSubmit(data) {
  return request({
    url: '/patient/seek/auxiliarydiagnosis',
    method: 'post',
    data
  })
}
/** 未接单再次咨询 */
export function secondauxiliarydiagnosis(data) {
  return request({
    url: '/patient/seek/secondauxiliarydiagnosis',
    method: 'post',
    data
  })
}
/** 患者记录列表 `status` int(1)
    * DEFAULT '0' COMMENT '0 待诊断、
    * 1 待确认、2 诊断完成',
*/
export function recordList(params) {
  return request({
    url: '/patient/seek/page',
    params
  })
}
export function patientInfo(seekId) {
  return request({
    url: `/patient/seek/getSeekById/${seekId}`
  })
}
export function consultationDoctor(data) { // 咨询医生
  return request({
    url: '/patient/seek/consultationDoctor',
    method: 'post',
    data
  })
}
export function recommend(data) { // AI医疗机构或药店推荐接口
  return request({
    url: '/patient/seek/ai/recommend',
    method: 'post',
    data
  })
}
export function patientSubmit(seekId, satisfaction) { // 患者确认评价
  return request({
    url: `/patient/seek/satisfaction/${seekId}/${satisfaction}`,
    method: 'post'
  })
}
