import request from '@/utils/request'
// import Qs from 'qs'
// Qs.stringify(data)
export function login(params) {
  return request({
    url: '/user/login',
    params
  })
}
export function getInfo(params) {
  return request({
    url: '/user/getUserInfo',
    params
  })
}

export function logout() {
  return request({
    url: '/user/logout',
    method: 'post'
  })
}
export function register(data) {
  return request({
    url: '/user/register',
    method: 'post',
    data: data
  })
}
/** 公用上传接口 */
export function uploadFile(data) {
  return request({
    url: '/upload/file',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data
  })
}
export function updatePwd(data) {
  return request({
    url: '/user/updatePwd',
    method: 'post',
    data
  })
}
export function getInfoByAccountName(accountName) {
  return request({
    url: `/user/getInfoByAccountName/${accountName}`
  })
}
export function updateSportVideo(data) {
  return request({
    url: '/user/updateSportVideo',
    method: 'post',
    data
  })
}
export function getSportGradeById(params) {
  return request({
    url: '/user/getSportGradeById',
    params
  })
}
