import Layout from '@/layout'
var Routers = [{
  path: '/patient/search',
  component: Layout,
  meta: { title: '诊断', roles: ['patient'] },
  children: [
    {
      path: '/patient/search',
      component: () => import('@/views/patient/search'),
      name: '/patient/search',
      meta: { title: '诊断', icon: 'search', roles: ['patient'] }
    }
  ]
},
{
  path: '/patient/diagnoseRecord',
  component: Layout,
  meta: { title: '诊断记录', roles: ['patient'] },
  children: [
    {
      path: '/patient/diagnoseRecord',
      component: () => import('@/views/patient/diagnoseRecord'),
      name: '/patient/diagnoseRecord',
      meta: { title: '诊断记录', icon: 'el-icon-document', roles: ['patient'] }
    }
  ]
},
{
  path: '/patient/therapyRecord',
  component: Layout,
  meta: { title: '治疗记录', roles: ['patient'] },
  children: [
    {
      path: '/patient/therapyRecord',
      component: () => import('@/views/patient/therapyRecord'),
      name: '/patient/therapyRecord',
      meta: { title: '治疗记录', icon: 'el-icon-document', roles: ['patient'] }
    }
  ]
},
{
  path: '/patient/therapy/detail',
  component: Layout,
  meta: { title: '治疗详情', roles: ['patient'] },
  hidden: true,
  children: [
    {
      path: '/patient/therapy/detail',
      component: () => import('@/views/patient/therapyRecord/detail'),
      name: '/patient/therapy/detail',
      meta: { title: '治疗详情', icon: 'el-icon-document', roles: ['patient'] }
    }
  ]
},
{
  path: '/patient/detail',
  component: Layout,
  hidden: true,
  meta: { title: '详情', roles: ['patient'] },
  children: [
    {
      path: '/patient/detail',
      component: () => import('@/views/patient/detail'),
      name: '/patient/diagnoseRecord/detail',
      meta: { title: '详情', icon: 'el-icon-document', roles: ['patient'] }
    }
  ]
},
{
  path: '/patient/order',
  component: Layout,
  meta: { title: '订单详情', roles: ['patient'] },
  hidden: true,
  children: [
    {
      path: '/patient/order',
      component: () => import('@/views/patient/order'),
      name: '/patient/order',
      meta: { title: '订单详情', icon: 'el-icon-document', roles: ['patient'] }
    }
  ]
}
]
export default Routers
